org.apache.xmlbeans

## Interface XmlShort

- All Superinterfaces:
    XmlAnySimpleType, XmlDecimal, XmlInt, XmlInteger, XmlLong, XmlObject, XmlTokenSource
  All Known Subinterfaces:
    XmlByte
  All Known Implementing Classes:
    XmlByteImpl, XmlShortImpl

      public interface XmlShort
      extends XmlInt

  Corresponds to the XML Schema xs:short type. One of the derived types based on xs:decimal.

  Naturally, convertible to a Java short.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlShort>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getShortValue()` Returns this value as a short
    `void` | `setShortValue(short s)` Sets this value as a short

    - ### Methods inherited from interface org.apache.xmlbeans.XmlInt

      `getIntValue, setIntValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlLong

      `getLongValue, setLongValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlInteger

      `getBigIntegerValue, setBigIntegerValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlDecimal

      `getBigDecimalValue, setBigDecimalValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlShort> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getShortValue

          short getShortValue()

      Returns this value as a short

    - #### setShortValue

          void setShortValue(short s)

      Sets this value as a short